
Figure - Bug #118548
【IOVDEV-32779】IOVDEV-32786【内部】【VC1】【0106】【台架】【EE环境】【副屏】【中控联动】副屏
调节增大音量后还一直显示静音图标
2023-06-05 20:28 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-05

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0106.c104  中控：03.02.0088.C103

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version: 2023-06-07

Test Type: ST Root cause: 静音图标不正确为音量静音消息回调异常引发的偶现问题。

Description

【环境信息】EE环境

【问题出现时间】：20230605  19点47分（ 第254次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.副屏设置-声音，滑动调节音量为一格

2.中控设置-声音，点击开启静音

3.副屏设置-声音，滑动调节音量为一格，之后再滑动至静音

4.中控设置-声音，点击开启静音

5.副屏设置-声音，滑动调节音量为一格

6.将设置切换到后台进入爱奇艺应用，再切换设置为前台

【实际结果】

步骤5：副屏声音音量回弹至静音，但没显示静音图标，中控显示音量为一格音量

步骤6：副屏设置-声音，显示静音图标，调节增大音量后也还显示静音图标

【期望结果】

副屏正确显示音量，无回弹现象。音量不为0时不显示静音图标。

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，附件为副屏的log

视频地址：

【影响版本】：副屏：01.00.0106.c104  中控：03.02.0088.C103

【硬件版本号】：/

【是否能恢复】：
History

#1 - 2023-06-05 20:52 - CDTS_Test 吴诗雨

- Subject changed from 【IOVDEV-32779】【内部】【VC1】【0106】【台架】【EE环境】【副屏】【中控联动】副屏调节增大音量后还一直显示静音图标

to 【IOVDEV-32779】IOVDEV-32786【内部】【VC1】【0106】【台架】【EE环境】【副屏】【中控联动】副屏调节增大音量后还一直显示静音图标

#2 - 2023-06-06 11:26 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

Hi ALL

该问题应该分为两个问题，

1.静音图标显示不正确，

2.静音回弹的问题。

根据分析：

静音回弹的问题和118557同件；

06-06 11:18:10.076  1541 23544 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = setMute parameters =

{"functionInfo":{"IDCM_VolumeMute_Media":"mute_on"}} ★★★ 中控请求mute on

06-06 11:18:10.076  1541 23544 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroAudioMute mIsTimeout= false value = mute_on isRequested=false

06-06 11:18:10.077  1541 16349 D AS.AudioService: idcm_volume:onSetIDCMicroAudioMute: mute_on ★★★副屏执行mute on

06-06 11:18:15.756  1541 23544 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=2, calling=com.android.settings)

06-06 11:18:15.756  1541 23544 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

06-06 11:18:15.756  1541 23544 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"2"}} ★★★ 副屏请求 音量2

06-06 11:18:15.786  1541 20971 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = setMute parameters =

{"functionInfo":{"IDCM_VolumeMute_Media":"mute_off"}} ★★★ 中控请求 mute off

06-06 11:18:15.786  1541 20971 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroAudioMute mIsTimeout= false value = mute_off isRequested=false

06-06 11:18:15.787  1541 16372 D AS.AudioService: idcm_volume:onSetIDCMicroAudioMute: mute_off ★★★ 副屏执行mute off

06-06 11:18:15.799  1541 20971 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"2"}} ★★★ 中控回复 音量2

06-06 11:18:15.799  1541 20971 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 2 isRequested=true

06-06 11:18:15.800  1541 23544 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 2

06-06 11:18:15.800  1541 23544 D AS.AudioService: idcm_volume:setIDCMicroVolume: 2 ★★★ 副屏设置音量2

06-06 11:18:15.814  1541 20971 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"0"}} ★★★中控请求音量 0

06-06 11:18:15.814  1541 20971 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 0 isRequested=false

06-06 11:18:15.814  1541 20971 D AS.AudioService: idcm_volume:onSetIDCMicroVolume: 0 副屏设置音量 0

下一步：

1.静音图标显示不正确的问题，将转给AF分析

2.音量异常回弹的问题，请中控分析，谢谢！

#3 - 2023-06-06 14:10 - CD TEST-方永红

- Category changed from AUDIO-FW to CD-FW

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-程天颖

2025-07-04 2/4



6.6

麻烦分析一下静音图标显示不正确的问题，谢谢

问题2已同步给中控方

#4 - 2023-06-06 20:50 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#5 - 2023-06-07 17:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205442 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Optimize volume control and mute icon status.TC-RID: 1201-0201805IssueID: TS-R-BUG-118548Change-Id:

I3ecb06ae3ef01f7d7119b17436c8aaea845f692a

#6 - 2023-06-07 17:37 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-07

- Root cause set to 静音图标不正确为音量静音消息回调异常引发的偶现问题。

■ Current conclusion

已处理，代码已入库。

■ My analysis

静音图标不正确为音量静音消息回调异常引发的偶现问题，已针对这种情况做了优化处理。

■ Next action

测试验证。

#7 - 2023-06-09 14:45 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306090153 版本验证通过

#8 - 2023-07-24 17:41 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

19点47分点击调节音量还是显示静音图标.mp4 7.11 MB 2023-06-05 CDTS_Test 吴诗雨
19点47分副屏调节音量非0还显示静音图标.7z 459 KB 2023-06-05 CDTS_Test 吴诗雨
